pilot-install-exp(1)

NAME
pilot-install-expenses - Install an expense record entries onto your Palm handheld device.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-install-expenses [-p|--port <port>] [--version] [-q|--quiet] [-?|--help] [--usage] [-t|--ptype STRING] [-e|--etype STRING] [-a|--amount STRING] [-V|--vendor STRING] [-i|--city STRING] [-g|--guests NUMBER] [-n|--note STRING] [-c|--category STRING] [--replace]

DESCRIPTION

 pilot-install-expenses allows a Palm handheld with the Expense application to have expense records synchronized to it from the commandline. You can pass any of the fields (except categories, currently) to pilot-install-expenses and create new expense records on your Palm handheld.

OPTIONS

  pilot-install-expenses options
                        -t,
                        --ptype STRING

Add entries to the "Payment Type" field. These can be in the form of "Cash", "Cheque" and others. See the Expense application on your Palm device for full details on payment types.

Note that the long name for this option has been renamed since 0.11.8.
                        -e,
                        --etype STRING

Add entries to the "Expense Type" field. These can be in the form of Airfare, Meals, and Others. See the Expense application on your Palm device for full details on expense types.
                        -a,
                        --amount STRING

Add currency amount entries to the "Amount" field. These can be in the form of 1.00 or "$10.00" and so on. See the Expense application on your Palm device for full details on amount types.
                        -V,
                        --vendor STRING

Add entries to the "Vendor" field. These are free-form values, and can be the name of a restaurant, an airline, or any other text value you wish to use.
                        -g,
                        --guests DIGIT

Add the number of attendees to the expense record, identified by DIGIT. If you ate lunch with four (4) additional people, you would put five (5) here, a numeric value.
                        -i,
                        --city STRING

Add entries to the "City" field in the expense record. These are free-form values, and can be the name of the location, city, or town that the expense record occured in.
                        -n,
                        --note STRING

Add a "Note" entry to the expense record. These are free-form values, and can be some notes related to the expense entry.
                        -c,
                        --category STRING

Install entries into the named category defined here. See the Expense application on your Palm device for full details on using these categories.
                        --replace

Replace the entry found in the named category identified by the --category option

Note that the short name for this option has been removed since 0.11.8

  Conduit Options
                        -p, --port
                        <port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-install-expenses will look for the $PILOTPORT environment variable. If neither are found or supplied, pilot-install-expenses will print the usage information.
                        -q,
                        --quiet

Suppress 'Hit HotSync button' message.
                        --version

Display version information for pilot-install-expenses and exit without connecting.

  Help options
                        -h, --help

Display the help synopsis for pilot-install-expenses and exit without connecting.
                        --usage

Display a brief usage message and exit without connecting.

USAGE

The program will connect to the Palm handheld, and install entries into the Expense application based on values passed to pilot-install-expenses arguments.

EXAMPLE

 pilot-install-expenses -p /dev/pilot -c Unfiled -t Cash -e Meals -a 10.00 -V McDonalds -g 21 -l "San Francisco" -N "This is a note"

Installs a new expense; you are recording having 21 guests at McDonalds in the city of San Francisco for a meal which cost 10.00 units of your default currency and you added a simple note. The expense will take the default date - today.

AUTHOR

 pilot-install-expenses was originally written by community authors, the original author is unknown.

This manual page was converted to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 read-expenses (1), pilot-link(7).